# Name

HPL_send Send a message.

# Synopsis

`#include "hpl.h"`
`int` `HPL_send(` `double *` `SBUF`, `int` `SCOUNT`, `int` `DEST`, `int` `STAG`, `MPI_Comm` `COMM` `);`

# Description

HPL_send is a simple wrapper around MPI_Send. Its main purpose is to allow for some experimentation / tuning of this simple routine. Successful completion is indicated by the returned error code MPI_SUCCESS. In the case of messages of length less than or equal to zero, this function returns immediately.

# Arguments

    SBUF    (local input)                 double *
            On entry, SBUF specifies the starting address of buffer to be
            sent.

    SCOUNT  (local input)                 int
            On entry,  SCOUNT  specifies  the number of  double precision
            entries in SBUF. SCOUNT must be at least zero.

    DEST    (local input)                 int
            On entry, DEST specifies the rank of the receiving process in
            the communication space defined by COMM.

    STAG    (local input)                 int
            On entry,  STAG specifies the message tag to be used for this
            communication operation.

    COMM    (local input)                 MPI_Comm
            The MPI communicator identifying the communication space.

# See Also

HPL_recv, HPL_sdrv.